<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <title>Shopping list example</title>
  <style>
    li {
      margin-bottom: 10px;
    }

    li button {
      font-size: 8px;
      margin-left: 20px;
      color: #666;
    }
  </style>
</head>

<body>

  <h1>My shopping list</h1>

  <div>
    <label for="item">Enter a new item:</label>
    <input type="text" name="item" id="item">
    <button id="bt1">Add item</button>
  </div>


  <ul>

  </ul>

  <script>

    var but = document.getElementById('bt1');
    var tx = document.querySelector('input');
    var ul = document.querySelector('ul');
    var para = document.createElement('p');

    var count = 0;

    function addList() {
      count++;
   
      var btDelete = document.createElement('button');
      btDelete.innerHTML = "delete";

      var list = document.createElement('li');
      list.textContent = tx.value;

      list.appendChild(btDelete);
      ul.appendChild(list);
      console.log(count);

      para.innerText = "The list has 1 item";
      checkList();

      document.body.appendChild(para);
      tx.value ="";
      tx.focus();
      
      btDelete.addEventListener('click', funDelete);
      
      function funDelete() {
        console.log('delete');
        ul.removeChild(list);
        count--;
        console.log("print " + count);
        checkList();
      }
      
      function checkList() {
        if (count == 1) {
          console.log("count = 1");
          para.innerText = "The list has 1 item";
        } else {
          console.log("count > 1");
          para.innerText = "The list has " + count + " items"
        }
      }

    }



    but.addEventListener('click', addList);
  </script>
</body>

</html>